CheckstyleExtension (Gradle API 3.4.1)
Date: 2017-03-03

org.gradle.api.plugins.quality

## Class CheckstyleExtension

- java.lang.Object
- - org.gradle.api.plugins.quality.CodeQualityExtension
  - - org.gradle.api.plugins.quality.CheckstyleExtension

-     public class CheckstyleExtension
      extends CodeQualityExtension

  Configuration options for the Checkstyle plugin.
  See Also:
    `CheckstylePlugin`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CheckstyleExtension(Project project)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `TextResource` | `getConfig()` The Checkstyle configuration to use.
    `File` | `getConfigFile()` The Checkstyle configuration file to use.
    `Map<String,Object>` | `getConfigProperties()` The properties available for use in the configuration file.
    `int` | `getMaxErrors()` The maximum number of errors that are tolerated before breaking the build or setting the failure property.
    `int` | `getMaxWarnings()` The maximum number of warnings that are tolerated before breaking the build or setting the failure property.
    `boolean` | `isShowViolations()` Whether or not rule violations are to be displayed on the console.
    `void` | `setConfig(TextResource config)`
    `void` | `setConfigFile(File configFile)` The Checkstyle configuration file to use.
    `void` | `setConfigProperties(Map<String,Object> configProperties)`
    `void` | `setMaxErrors(int maxErrors)` Set the maximum number of errors that are tolerated before breaking the build.
    `void` | `setMaxWarnings(int maxWarnings)` Set the maximum number of warnings that are tolerated before breaking the build.
    `void` | `setShowViolations(boolean showViolations)`

    - ### Methods inherited from class org.gradle.api.plugins.quality.CodeQualityExtension

      `getReportsDir, getSourceSets, getToolVersion, isIgnoreFailures, setIgnoreFailures, setReportsDir, setSourceSets, setToolVersion`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CheckstyleExtension

          public CheckstyleExtension(Project project)

  - ### Method Detail

    - #### getConfigFile

          public File getConfigFile()

      The Checkstyle configuration file to use.

    - #### getConfig

          @Incubating
          public TextResource getConfig()

      The Checkstyle configuration to use. Replaces the `configFile` property.
      Since:
        2.2

    - #### setConfigFile

          public void setConfigFile(File configFile)

      The Checkstyle configuration file to use.

    - #### setConfig

          public void setConfig(TextResource config)

    - #### getConfigProperties

          public Map<String,Object> getConfigProperties()

      The properties available for use in the configuration file. These are substituted into the configuration file.

    - #### setConfigProperties

          public void setConfigProperties(Map<String,Object> configProperties)

    - #### getMaxErrors

          public int getMaxErrors()

      The maximum number of errors that are tolerated before breaking the build or setting the failure property. Defaults to `0`.

      Example: maxErrors = 42

      Returns:
        the maximum number of errors allowed
      Since:
        3.4

    - #### setMaxErrors

          public void setMaxErrors(int maxErrors)

      Set the maximum number of errors that are tolerated before breaking the build.
      Parameters:
        `maxErrors` - number of errors allowed
      Since:
        3.4

    - #### getMaxWarnings

          public int getMaxWarnings()

      The maximum number of warnings that are tolerated before breaking the build or setting the failure property. Defaults to `Integer.MAX_VALUE`.

      Example: maxWarnings = 1000

      Returns:
        the maximum number of warnings allowed
      Since:
        3.4

    - #### setMaxWarnings

          public void setMaxWarnings(int maxWarnings)

      Set the maximum number of warnings that are tolerated before breaking the build.
      Parameters:
        `maxWarnings` - number of warnings allowed
      Since:
        3.4

    - #### isShowViolations

          public boolean isShowViolations()

      Whether or not rule violations are to be displayed on the console. Defaults to `true`. Example: showViolations = false

    - #### setShowViolations

          public void setShowViolations(boolean showViolations)